# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# /var/folders/c_/qfmhj66j0tn016nkx_th4hxm0000gp/T/abs_3cp9aol8sr/clone/recipe, last modified Tue May  7 10:12:04 2024
# ------------------------------------------------

package:
  name: h5py
  version: 3.11.0
source:
  sha256: 034ec21f28f2f2edc4542515a9ae45356a25bb459048acf9622e6b1143b3fae7
  url: https://github.com/h5py/h5py/archive/3.11.0.tar.gz
build:
  number: '0'
  string: py311hb461a93_0
requirements:
  build:
    - cctools_osx-64 949.0.1 hc7db93f_25
    - clang 14.0.6 hecd8cb5_1
    - clang-14 14.0.6 default_hd95374b_1
    - clang_osx-64 14.0.6 hb1e4b1b_0
    - clangxx 14.0.6 default_hd95374b_1
    - compiler-rt 14.0.6 hda8b6b8_0
    - compiler-rt_osx-64 14.0.6 h8d5cb93_0
    - ld64_osx-64 530 h70f3046_25
    - ldid 2.1.5 hc58f1be_3
    - libclang-cpp14 14.0.6 default_hd95374b_1
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.4 hecd8cb5_1
    - libllvm14 14.0.6 h91fad77_3
    - llvm-tools 14.0.6 he0576d7_3
    - tapi 1000.10.8 ha1b3eb9_0
    - zlib 1.2.13 h4b97444_1
  host:
    - blas 1.0 mkl
    - bzip2 1.0.8 h6c40b1e_6
    - c-ares 1.19.1 h6c40b1e_0
    - ca-certificates 2024.3.11 hecd8cb5_0
    - cython 3.0.10 py311h6c40b1e_0
    - hdf5 1.12.1 ha01d115_3
    - intel-openmp 2023.1.0 ha357a0b_43548
    - krb5 1.20.1 h428f121_1
    - libcurl 8.5.0 hf20ceda_0
    - libcxx 14.0.6 h9765a3e_0
    - libedit 3.1.20230828 h6c40b1e_0
    - libev 4.33 h9ed2024_1
    - libffi 3.4.4 hecd8cb5_1
    - libgfortran 5.0.0 11_3_0_hecd8cb5_28
    - libgfortran5 11.3.0 h9dfd629_28
    - libiconv 1.16 h6c40b1e_3
    - libnghttp2 1.57.0 h9beae6a_0
    - libssh2 1.10.0 h04015c4_3
    - llvm-openmp 14.0.6 h0dcd299_0
    - mkl 2023.1.0 h8e150cf_43560
    - mkl-service 2.4.0 py311h6c40b1e_1
    - mkl_fft 1.3.8 py311h6c40b1e_0
    - mkl_random 1.2.4 py311ha357a0b_0
    - ncurses 6.4 hcec6c5f_0
    - numpy 1.23.5 py311h728a8a3_1
    - numpy-base 1.23.5 py311h53bf9ac_1
    - openssl 3.0.13 hca72f7f_1
    - pip 23.3.1 py311hecd8cb5_0
    - pkg-config 0.29.2 h3efe00b_8
    - pkgconfig 1.5.4 py311hecd8cb5_0
    - python 3.11.9 hf27a42d_0
    - readline 8.2 hca72f7f_0
    - setuptools 69.5.1 py311hecd8cb5_0
    - sqlite 3.45.3 h6c40b1e_0
    - tbb 2021.8.0 ha357a0b_0
    - tk 8.6.14 h4d00af3_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.43.0 py311hecd8cb5_0
    - xz 5.4.6 h6c40b1e_1
    - zlib 1.2.13 h4b97444_1
  run:
    - hdf5 >=1.12.1,<1.12.2.0a0
    - numpy >=1.23.5,<2.0a0
    - python >=3.11,<3.12.0a0
test:
  commands:
    - pip check
  imports:
    - h5py
    - h5py.tests
    - h5py.tests.data_files
    - h5py.tests.test_vds
  requires:
    - curl
    - pip
    - pytest
    - pytest-mpi
about:
  description: Read and write HDF5 files from Python
  dev_url: https://github.com/h5py/h5py
  doc_url: https://docs.h5py.org
  home: https://www.h5py.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: licenses/license.txt
  summary: Read and write HDF5 files from Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 3cfb499a-cd2b-491f-b9fe-60b055e68077
  recipe-maintainers:
    - jakirkham
    - minrk
    - ocefpaf
    - scopatz
    - tacaswell
  remote_url: git@github.com:AnacondaRecipes/h5py-feedstock.git
  sha: f175fe09c5dcf7acd1064bc267862e79d28b14af
